import BaseAdapter from './adapters/base-adapter';
export declare function getConfig(): {
    api: any;
    commitMessageTemplate: string;
    type: "github" | "jira";
};
export declare function assertValidConfig({tiquette: config}: ITiquettePackageJSON): void;
export declare function getGitCurrentBranch(): string;
export declare function getTicketFromGitBranchName(gitBranchName: string, regExp: RegExp): string;
export declare function getFormattedCommitMessage(template: string, message: string, ticket: string): string;
export declare function getBranchNameRegExp(): RegExp;
export declare function getAdapterForTicket(ticket: string): BaseAdapter;
